Bug 5194 - comsat daemon not compatible with RH6.0
comsat daemon not compatible with RH6.0
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: biff (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-17 15:27 EDT by steveg
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-19 14:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description steveg 1999-09-17 15:27:03 EDT
PLEASE NOTE:  "comsat" is missing from the component list on
the bugzilla web page.

Syslog contains the following message:

	Sep 17 01:34:30 ns comsat[700]: chdir: /var/mail: No such
file or directory

in.comsat is built looking for mail in /var/mail even though
_PATH_MAIL is correctly set in paths.h.  How is that
possible?  Symlink or rebuild fixes this problem.

After either fix, syslog then contained the following
message"

	Sep 17 19:23:39 ns comsat[3040]: '/' in "/dev/pts/0"

comsat.c is coded to not allow slashes '/' in the tty name.
It is commented in the code as a security concern.  Removing
this security check resolves the problem.  Does it really
create a security hole?
Comment 1 Jeff Johnson 1999-09-19 14:11:59 EDT
Try comsat-0.15-1 from Raw Hide. I believe both of these problems
are fixed there. If I'm wrong, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.